/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANELMAIN                       1       /* callback function: PanelCallbacks */
#define  PANELMAIN_CMDREFRESH            2       /* callback function: Callbacks */
#define  PANELMAIN_CMDGETBITMODE         3       /* callback function: Callbacks */
#define  PANELMAIN_CMDSETBITMODE         4       /* callback function: Callbacks */
#define  PANELMAIN_CMDGETINFO            5       /* callback function: Callbacks */
#define  PANELMAIN_CMDINIT               6       /* callback function: Callbacks */
#define  PANELMAIN_CMDCLOSE              7       /* callback function: Callbacks */
#define  PANELMAIN_CMDOPEN               8       /* callback function: Callbacks */
#define  PANELMAIN_CMDQUIT               9       /* callback function: Callbacks */
#define  PANELMAIN_LSTDEVICES            10
#define  PANELMAIN_NUMENDIS              11
#define  PANELMAIN_NUMSETBIT             12
#define  PANELMAIN_NUMGETBIT             13
#define  PANELMAIN_LED_7                 14
#define  PANELMAIN_LED_6                 15
#define  PANELMAIN_LED_5                 16
#define  PANELMAIN_LED_4                 17
#define  PANELMAIN_LED_3                 18
#define  PANELMAIN_LED_2                 19
#define  PANELMAIN_LED_1                 20
#define  PANELMAIN_LED_0                 21
#define  PANELMAIN_BUTTON_7              22      /* callback function: Callbacks */
#define  PANELMAIN_BUTTON_6              23      /* callback function: Callbacks */
#define  PANELMAIN_BUTTON_5              24      /* callback function: Callbacks */
#define  PANELMAIN_BUTTON_4              25      /* callback function: Callbacks */
#define  PANELMAIN_BUTTON_3              26      /* callback function: Callbacks */
#define  PANELMAIN_BUTTON_2              27      /* callback function: Callbacks */
#define  PANELMAIN_BUTTON_1              28      /* callback function: Callbacks */
#define  PANELMAIN_BUTTON_0              29      /* callback function: Callbacks */
#define  PANELMAIN_TIMER                 30      /* callback function: Callbacks */
#define  PANELMAIN_TEXTMSG               31


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Callbacks(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PanelCallbacks(int panel, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
